## glite-lb-client-java 1.2.2

=== Makefile ===
top_srcdir=.
stagedir=../stage

-include Makefile.inc

# broken 
# SimpleLLTest.class ProducerTestLL.class ProducerTestIL.class

FULL_EXAMPLES := $(addprefix ${top_srcdir}/examples/,SSLClient.java SSLServer.java QueryDemo.java NotificationExample.java CreamTest.java)
SSL_EXAMPLES := $(addprefix ${top_srcdir}/examples/simple-ssl/,MyX509KeyManager.java MyX509TrustManager.java ExampleSSLSocketFactory.java LBClientSSL.java)
TM_EXAMPLES := $(addprefix ${top_srcdir}/examples/simple-trustmanager/,LBClientTM.java)

VPATH := ${top_srcdir}/src/org/glite/lb ${top_srcdir}/examples ${top_srcdir}/examples/simple-ssl ${top_srcdir}/examples/simple-trustmanager

JAVAC:=${jdk_prefix}/bin/javac
JAVAH:=${jdk_prefix}/bin/javah
JAVA:=${jdk_prefix}/bin/java

GEN:=${stagedir}${prefix}/sbin/glite-lb-at3 ${top_srcdir}/project/genEventTypes.pl
AT3DIR:=${stagedir}${prefix}/share/glite-lb/at3
axis_classpath:=$(shell ${top_srcdir}/project/list-jars.sh ${axis_prefix}/lib ${axis_prefix}/share/java /usr/share/java /usr/lib/java)
trustmanager_classpath:=$(shell ls -1 ${trustmanager_prefix}/share/java/glite-security-trustmanager.jar ${trustmanager_prefix}/share/java/trustmanager.jar ${trustmanager_prefix}/share/java/trustmanager-axis.jar ${stagedir}${prefix}/share/java/trustmanager.jar ${stagedir}${prefix}/share/java/trustmanager-axis.jar 2>/dev/null | tr '\012' :)

all compile: compile-java-axis compile-java-lb compile-java-gen compile-java-lb2 build-jar examples build-c

wtf:
	echo "axis_classpath: ${axis_classpath}"

compile-java-axis: genws
	${JAVAC} \
		-classpath ${jakarta-commons-lang_jar}:${stagedir}${prefix}/share/java/jobid-api-java.jar:${trustmanager_classpath}:${utiljava_prefix}/share/java/glite-security-util-java.jar:${axis_classpath} \
		-d build \
		build/axis/org/glite/wsdl/services/lb/*.java \
		build/axis/org/glite/wsdl/services/lb4agu/*.java \
		`find build/axis/org/ogf/schemas/glue -name *.java -print` \
		build/axis/org/glite/wsdl/types/lb/*.java \
		build/axis/org/glite/wsdl/types/lb/holders/*.java \
		build/axis/org/glite/wsdl/elements/lb/*.java \
		build/axis/holders/StringArrayHolder.java

compile-java-lb: Event.java Timeval.java Sources.java Level.java SeqCode.java Escape.java
	-mkdir -p build/classes
	${JAVAC} \
		-classpath ${jakarta-commons-lang_jar}:${stagedir}${prefix}/share/java/jobid-api-java.jar:${trustmanager_classpath}:${utiljava_prefix}/share/java/glite-security-util-java.jar:${axis_classpath}:build/classes \
		-d build $+

compile-java-gen: genevents
	${JAVAC} \
		-classpath ${jakarta-commons-lang_jar}:${stagedir}${prefix}/share/java/jobid-api-java.jar:${trustmanager_classpath}:${utiljava_prefix}/share/java/glite-security-util-java.jar:${axis_classpath}:build:build/classes \
		-d build \
		build/gen/*.java

compile-java-lb2: Context.java ContextDirect.java ContextIL.java ContextLL.java EventConvertor.java ILFileWriter.java ILProto.java Job.java LBCredentials.java LBException.java NotifParser.java Notification.java SSL.java SSLSend.java ServerConnection.java
	${JAVAC} \
		-classpath ${jakarta-commons-lang_jar}:${stagedir}${prefix}/share/java/jobid-api-java.jar:${trustmanager_classpath}:${utiljava_prefix}/share/java/glite-security-util-java.jar:${axis_classpath}:build:build/classes \
		-d build/classes $+

build-jar: lb-client-java.jar

lb-client-java.jar:
	cd build && ${jdk_prefix}/bin/jar cf lb-client-java.jar holders org
	cd build/classes && ${jdk_prefix}/bin/jar uf ../lb-client-java.jar org
	${jdk_prefix}/bin/jar i build/lb-client-java.jar

build-c:
	${JAVAH} -classpath build:build/classes -jni -d build org.glite.lb.ContextIL
	-mkdir -p build/c
	-ln -s ${top_srcdir}/src_c .
	-ln -s ../../src_c/Makefile build/c
	cd build/c && $(MAKE) PREFIX=${PREFIX} JAVA_HOME=${jdk_prefix} topdir=../..

examples: build/classes/examples

build/classes/examples: ${FULL_EXAMPLES} ${SSL_EXAMPLES} ${TM_EXAMPLES}
	-mkdir -p build/classes/examples/src/simple-ssl build/classes/examples/src/simple-trustmanager
	${jdk_prefix}/bin/javac -d build/classes/examples -cp build:build/classes:build/classes/examples:${stagedir}${prefix}/share/java/jobid-api-java.jar:${axis_classpath} ${FULL_EXAMPLES}
	${jdk_prefix}/bin/javac -d build/classes/examples -cp build:build/classes:build/classes/examples:${axis_classpath} ${SSL_EXAMPLES}
	${jdk_prefix}/bin/javac -d build/classes/examples -cp build:build/classes:${trustmanager_classpath}:${axis_classpath} ${TM_EXAMPLES}
	cp ${FULL_EXAMPLES} build/classes/examples/src
	cp ${SSL_EXAMPLES} build/classes/examples/src/simple-ssl
	cp ${TM_EXAMPLES} build/classes/examples/src/simple-trustmanager
	cd build/classes/examples && ${jdk_prefix}/bin/jar cfi lb-client-java-examples.jar src org $(addsuffix .class,$(basename $(notdir ${FULL_EXAMPLES}))) && ${jdk_prefix}/bin/jar i lb-client-java-examples.jar

genevents: build/gen

build/gen:
	-mkdir -p build/gen
	${GEN} build/gen

genws: build/axis

build/axis:
	${JAVA} -classpath ${axis_classpath} org.apache.axis.wsdl.WSDL2Java -o build/axis ${stagedir}${prefix}/share/wsdl/glite-lb/LB.wsdl

check:
	@echo "No check"

stage:
	$(MAKE) install PREFIX=${stagedir}

install:
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/java
	cp build/lb-client-java.jar ${DESTDIR}${PREFIX}${prefix}/share/java
	cp build/classes/examples/lb-client-java-examples.jar ${DESTDIR}${PREFIX}${prefix}/share/java
	cd build/c && $(MAKE) install PREFIX=${PREFIX}

clean:
	rm -rf build

distclean:
	rm -rvf Makefile.inc *.spec debian/

.PHONY: all compile compile-java-axis compile-java-lb compile-java-gen compile-java-lb2 build-jar build-c examples genevents genws check stage install clean distclean wtf

=== src_c/Makefile ===
-include ../../Makefile.inc

CC=gcc
PATH_TO_JAVA=${JAVA_HOME}

OS=$(shell uname | tr '[:upper:]' '[:lower:]')

# when there is a system prefix, we are probably working with java from GCC,
# with java headers already in default search paths
ifeq (${PATH_TO_JAVA},/usr)
JDK_CPPFLAGS=
else
JDK_CPPFLAGS=-I${PATH_TO_JAVA}/include/$(OS)
endif

LIB=libglite_lb_sendviasocket.la
OBJ=send_via_socket.lo

VPATH=${topdir}/src_c

compile: ${LIB}

${LIB}: ${OBJ}
	libtool --mode=link ${CC} -rpath ${PREFIX}${prefix}/${libdir} -o $@ ${OBJ} -lm

%.lo: %.c
	libtool --mode=compile ${CC} -I.. -I${PATH_TO_JAVA}/include ${JDK_CPPFLAGS} -c $<

install: compile
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
	libtool --mode=install install -m 755 ${LIB} ${DESTDIR}${PREFIX}${prefix}/${libdir}

clean:
	rm -rf ${OBJ} .libs ${LIB}

=== debian/changelog ===
glite-lb-client-java (1.2.2-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 01 May 2012 21:47:32 +0200

=== debian/control ===
Source: glite-lb-client-java
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), ant, chrpath, default-jdk, emi-trustmanager, emi-trustmanager-axis, glite-jobid-api-java, glite-lb-types, glite-lb-ws-interface, libaxis-java, libcommons-lang-java, libtool
Standards-Version: 3.9.1
Section: misc
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: glite-lb-client-java
Section: misc
Architecture: any
Depends: ${misc:Depends}, emi-trustmanager-axis, emi-trustmanager, glite-jobid-api-java, libcommons-lang-java
Description: JAVA implementation of the L&B service client
 JAVA implementation of the L&B service client. Supports producing (logging)
 events into L&B, event and job status queries, and receiving
 notifications.

## glite-lb-client-java 1.2.3

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 GEN:=${stagedir}${prefix}/sbin/glite-lb-at3 ${top_srcdir}/project/genEventTypes.pl
 AT3DIR:=${stagedir}${prefix}/share/glite-lb/at3
-axis_classpath:=$(shell ${top_srcdir}/project/list-jars.sh ${axis_prefix}/lib ${axis_prefix}/share/java /usr/share/java /usr/lib/java)
+axis_classpath:=$(shell ${top_srcdir}/project/list-jars.sh ${axis_prefix}/lib ${axis_prefix}/share/java ${axis_prefix}/share/java/axis /usr/share/java /usr/lib/java /usr/lib/java/axis)
 trustmanager_classpath:=$(shell ls -1 ${trustmanager_prefix}/share/java/glite-security-trustmanager.jar ${trustmanager_prefix}/share/java/trustmanager.jar ${trustmanager_prefix}/share/java/trustmanager-axis.jar ${stagedir}${prefix}/share/java/trustmanager.jar ${stagedir}${prefix}/share/java/trustmanager-axis.jar 2>/dev/null | tr '\012' :)
 
 all compile: compile-java-axis compile-java-lb compile-java-gen compile-java-lb2 build-jar examples build-c

=== debian/changelog ===
glite-lb-client-java (1.2.3-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:31:16 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.client-java
	touch $@

build: build-indep

build-arch build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) clean
	rm -f Makefile.inc config.status
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installlogrotate
	dh_installcron
	dh_install --fail-missing
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

## glite-lb-client-java 1.3.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,13 @@
 top_srcdir=.
 stagedir=../stage
+package=glite-lb-client-java
+
+default: all
 
 -include Makefile.inc
+-include ${top_srcdir}/project/version.properties
+
+version=${module.version}
 
 # broken 
 # SimpleLLTest.class ProducerTestLL.class ProducerTestIL.class
@@ -9,6 +15,14 @@
 FULL_EXAMPLES := $(addprefix ${top_srcdir}/examples/,SSLClient.java SSLServer.java QueryDemo.java NotificationExample.java CreamTest.java)
 SSL_EXAMPLES := $(addprefix ${top_srcdir}/examples/simple-ssl/,MyX509KeyManager.java MyX509TrustManager.java ExampleSSLSocketFactory.java LBClientSSL.java)
 TM_EXAMPLES := $(addprefix ${top_srcdir}/examples/simple-trustmanager/,LBClientTM.java)
+
+SOURCES=\
+	examples/*.java examples/*/*.java \
+	project/list-jars.sh project/genEventTypes.pl \
+	src_c/*.c src_c/Makefile \
+	src/org/glite/lb/*.java \
+	Makefile
+SOURCES_EXEC=project/list-jars.sh project/genEventTypes.pl
 
 VPATH := ${top_srcdir}/src/org/glite/lb ${top_srcdir}/examples ${top_srcdir}/examples/simple-ssl ${top_srcdir}/examples/simple-trustmanager
 
@@ -106,8 +120,9 @@
 
 clean:
 	rm -rf build
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
 
-.PHONY: all compile compile-java-axis compile-java-lb compile-java-gen compile-java-lb2 build-jar build-c examples genevents genws check stage install clean distclean wtf
+.PHONY: default all compile compile-java-axis compile-java-lb compile-java-gen compile-java-lb2 build-jar build-c examples genevents genws check stage install clean distclean wtf dist distcheck

=== debian/changelog ===
glite-lb-client-java (1.3.1-0head.2) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 14 Aug 2012 19:22:32 +0200

## glite-lb-client-java 2.0.2

=== Makefile ===
--- 
+++ 
@@ -30,8 +30,9 @@
 JAVAH:=${jdk_prefix}/bin/javah
 JAVA:=${jdk_prefix}/bin/java
 
-GEN:=${stagedir}${prefix}/sbin/glite-lb-at3 ${top_srcdir}/project/genEventTypes.pl
+GEN:=${stagedir}${prefix}/bin/glite-lb-at3 ${top_srcdir}/project/genEventTypes.pl
 AT3DIR:=${stagedir}${prefix}/share/glite-lb/at3
+jobid_classpath:=${stagedir}${prefix}/share/java/glite-jobid-api-java.jar
 axis_classpath:=$(shell ${top_srcdir}/project/list-jars.sh ${axis_prefix}/lib ${axis_prefix}/share/java ${axis_prefix}/share/java/axis /usr/share/java /usr/lib/java /usr/lib/java/axis)
 trustmanager_classpath:=$(shell ls -1 ${trustmanager_prefix}/share/java/glite-security-trustmanager.jar ${trustmanager_prefix}/share/java/trustmanager.jar ${trustmanager_prefix}/share/java/trustmanager-axis.jar ${stagedir}${prefix}/share/java/trustmanager.jar ${stagedir}${prefix}/share/java/trustmanager-axis.jar 2>/dev/null | tr '\012' :)
 
@@ -42,7 +43,7 @@
 
 compile-java-axis: genws
 	${JAVAC} \
-		-classpath ${jakarta-commons-lang_jar}:${stagedir}${prefix}/share/java/jobid-api-java.jar:${trustmanager_classpath}:${utiljava_prefix}/share/java/glite-security-util-java.jar:${axis_classpath} \
+		-classpath ${jakarta-commons-lang_jar}:${jobid_classpath}:${trustmanager_classpath}:${utiljava_prefix}/share/java/glite-security-util-java.jar:${axis_classpath} \
 		-d build \
 		build/axis/org/glite/wsdl/services/lb/*.java \
 		build/axis/org/glite/wsdl/services/lb4agu/*.java \
@@ -55,18 +56,18 @@
 compile-java-lb: Event.java Timeval.java Sources.java Level.java SeqCode.java Escape.java
 	-mkdir -p build/classes
 	${JAVAC} \
-		-classpath ${jakarta-commons-lang_jar}:${stagedir}${prefix}/share/java/jobid-api-java.jar:${trustmanager_classpath}:${utiljava_prefix}/share/java/glite-security-util-java.jar:${axis_classpath}:build/classes \
+		-classpath ${jakarta-commons-lang_jar}:${jobid_classpath}:${trustmanager_classpath}:${utiljava_prefix}/share/java/glite-security-util-java.jar:${axis_classpath}:build/classes \
 		-d build $+
 
 compile-java-gen: genevents
 	${JAVAC} \
-		-classpath ${jakarta-commons-lang_jar}:${stagedir}${prefix}/share/java/jobid-api-java.jar:${trustmanager_classpath}:${utiljava_prefix}/share/java/glite-security-util-java.jar:${axis_classpath}:build:build/classes \
+		-classpath ${jakarta-commons-lang_jar}:${jobid_classpath}:${trustmanager_classpath}:${utiljava_prefix}/share/java/glite-security-util-java.jar:${axis_classpath}:build:build/classes \
 		-d build \
 		build/gen/*.java
 
 compile-java-lb2: Context.java ContextDirect.java ContextIL.java ContextLL.java EventConvertor.java ILFileWriter.java ILProto.java Job.java LBCredentials.java LBException.java NotifParser.java Notification.java SSL.java SSLSend.java ServerConnection.java
 	${JAVAC} \
-		-classpath ${jakarta-commons-lang_jar}:${stagedir}${prefix}/share/java/jobid-api-java.jar:${trustmanager_classpath}:${utiljava_prefix}/share/java/glite-security-util-java.jar:${axis_classpath}:build:build/classes \
+		-classpath ${jakarta-commons-lang_jar}:${jobid_classpath}:${trustmanager_classpath}:${utiljava_prefix}/share/java/glite-security-util-java.jar:${axis_classpath}:build:build/classes \
 		-d build/classes $+
 
 build-jar: lb-client-java.jar
@@ -87,7 +88,7 @@
 
 build/classes/examples: ${FULL_EXAMPLES} ${SSL_EXAMPLES} ${TM_EXAMPLES}
 	-mkdir -p build/classes/examples/src/simple-ssl build/classes/examples/src/simple-trustmanager
-	${jdk_prefix}/bin/javac -d build/classes/examples -cp build:build/classes:build/classes/examples:${stagedir}${prefix}/share/java/jobid-api-java.jar:${axis_classpath} ${FULL_EXAMPLES}
+	${jdk_prefix}/bin/javac -d build/classes/examples -cp build:build/classes:build/classes/examples:${jobid_classpath}:${axis_classpath} ${FULL_EXAMPLES}
 	${jdk_prefix}/bin/javac -d build/classes/examples -cp build:build/classes:build/classes/examples:${axis_classpath} ${SSL_EXAMPLES}
 	${jdk_prefix}/bin/javac -d build/classes/examples -cp build:build/classes:${trustmanager_classpath}:${axis_classpath} ${TM_EXAMPLES}
 	cp ${FULL_EXAMPLES} build/classes/examples/src
@@ -123,6 +124,6 @@
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
-	rm -rvf Makefile.inc *.spec debian/
+	rm -rvf project/changelog Makefile.inc *.spec debian/
 
 .PHONY: default all compile compile-java-axis compile-java-lb compile-java-gen compile-java-lb2 build-jar build-c examples genevents genws check stage install clean distclean wtf dist distcheck

=== debian/changelog ===
glite-lb-client-java (2.0.2-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Wed, 23 Jan 2013 19:04:57 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
 Uploaders: František Dvořák <valtri@civ.zcu.cz>
-Build-Depends: debhelper (>= 7.0.50~), ant, chrpath, default-jdk, emi-trustmanager, emi-trustmanager-axis, glite-jobid-api-java, glite-lb-types, glite-lb-ws-interface, libaxis-java, libcommons-lang-java, libtool
+Build-Depends: debhelper (>= 7.0.50~), ant, default-jdk, emi-trustmanager, emi-trustmanager-axis, glite-jobid-api-java, glite-lb-types, glite-lb-ws-interface, libaxis-java, libcommons-lang-java, libtool
 Standards-Version: 3.9.1
 Section: misc
 Homepage: http://glite.cern.ch

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	dh_testroot
 	rm -f configure-stamp build-stamp
 	$(MAKE) clean
-	rm -f Makefile.inc config.status
+	rm -f Makefile.inc config.status *.spec
 	dh_clean
 
 install: build-stamp
@@ -36,16 +36,15 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
-	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
-	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
+	rm -vf debian/tmp/usr/lib/*.la
+	rm -vf debian/tmp/usr/lib/*.a
 
 binary-indep:
 
 binary-arch: install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
+	dh_installchangelogs project/ChangeLog
 	dh_installdocs
 	dh_installexamples
 	dh_installman

## glite-lb-client-java 2.0.4

=== Makefile ===
top_srcdir=.
stagedir=../stage
package=glite-lb-client-java

default: all

-include Makefile.inc
-include ${top_srcdir}/project/version.properties

version=${module.version}

# broken 
# SimpleLLTest.class ProducerTestLL.class ProducerTestIL.class

FULL_EXAMPLES := $(addprefix ${top_srcdir}/examples/,SSLClient.java SSLServer.java QueryDemo.java NotificationExample.java CreamTest.java)
SSL_EXAMPLES := $(addprefix ${top_srcdir}/examples/simple-ssl/,MyX509KeyManager.java MyX509TrustManager.java ExampleSSLSocketFactory.java LBClientSSL.java)
TM_EXAMPLES := $(addprefix ${top_srcdir}/examples/simple-trustmanager/,LBClientTM.java)
CORE_SOURCES:=Context.java ContextIL.java Escape.java Event.java ILFileWriter.java ILProto.java LBException.java Level.java Timeval.java Sources.java SeqCode.java
AXIS_SOURCES:=ContextDirect.java ContextLL.java EventConvertor.java Job.java LBCredentials.java NotifParser.java Notification.java SSL.java SSLSend.java ServerConnection.java

CORE_CLASSES=$(CORE_SOURCES:.java=.class)
AXIS_CLASSES=$(AXIS_SOURCES:.java=.class) ServerConnection$$1.class ServerConnection$$QueryResultsFlag.class

SOURCES=\
	examples/*.java examples/*/*.java \
	project/list-jars.sh project/genEventTypes.pl \
	src_c/*.c src_c/Makefile \
	src/org/glite/lb/*.java \
	Makefile
SOURCES_EXEC=project/list-jars.sh project/genEventTypes.pl

VPATH := ${top_srcdir}/src/org/glite/lb ${top_srcdir}/examples ${top_srcdir}/examples/simple-ssl ${top_srcdir}/examples/simple-trustmanager

JAVAC:=${jdk_prefix}/bin/javac
JAVAH:=${jdk_prefix}/bin/javah
JAVA:=${jdk_prefix}/bin/java
JAVADOC:=${jdk_prefix}/bin/javadoc

GEN:=${stagedir}${prefix}/bin/glite-lb-at3 ${top_srcdir}/project/genEventTypes.pl
AT3DIR:=${stagedir}${prefix}/share/glite-lb/at3
jobid_classpath:=${stagedir}${prefix}/share/java/glite-jobid-api-java.jar
axis_classpath:=$(shell ${top_srcdir}/project/list-jars.sh ${axis_prefix}/lib ${axis_prefix}/share/java ${axis_prefix}/share/java/axis /usr/share/java /usr/lib/java /usr/lib/java/axis)
trustmanager_classpath:=$(shell ls -1 ${trustmanager_prefix}/share/java/glite-security-trustmanager.jar ${trustmanager_prefix}/share/java/trustmanager.jar ${trustmanager_prefix}/share/java/trustmanager-axis.jar ${stagedir}${prefix}/share/java/trustmanager.jar ${stagedir}${prefix}/share/java/trustmanager-axis.jar 2>/dev/null | tr '\012' :)

JARS:=glite-lb-client-java.jar

DOC_SOURCES=$(CORE_SOURCES)
AXIS_TARGETS=build/classes/axis
ifneq (${axis_prefix},no)
# with axis generate the axis jar
JARS+=glite-lb-client-java-axis.jar
ifneq (${trustmanager_prefix},no)
# with trustmanager include the security code
DOC_SOURCES+=$(AXIS_SOURCES)
AXIS_TARGETS+=build/classes/security
JARS+=glite-lb-client-java-examples.jar
endif
endif

all compile: $(JARS) doc build/c

wtf:
	echo "axis_classpath: ${axis_classpath}"

build/classes/axis: build/axis
	-mkdir -p build/classes/axis
	${JAVAC} \
		-classpath ${jakarta-commons-lang_jar}:${jobid_classpath}:${axis_classpath} \
		-d build/classes/axis \
		build/axis/org/glite/wsdl/services/lb/*.java \
		build/axis/org/glite/wsdl/services/lb4agu/*.java \
		`find build/axis/org/ogf/schemas/glue -name \*.java -print` \
		build/axis/org/glite/wsdl/types/lb/*.java \
		build/axis/org/glite/wsdl/types/lb/holders/*.java \
		build/axis/org/glite/wsdl/elements/lb/*.java \
		build/axis/holders/StringArrayHolder.java

build/classes/core: compile-java-lb compile-java-gen

compile-java-lb: $(CORE_SOURCES)
	-mkdir -p build/classes/core
	${JAVAC} \
		-classpath ${jobid_classpath} \
		-d build/classes/core $+

compile-java-gen: build/gen
	-mkdir -p build/classes/core
	${JAVAC} \
		-classpath ${jobid_classpath}:build/classes/core \
		-d build/classes/core \
		build/gen/*.java

build/classes/security: build/classes/axis build/classes/core compile-java-security

compile-java-security: $(AXIS_SOURCES)
	-mkdir -p build/classes/security
	${JAVAC} \
		-classpath ${jakarta-commons-lang_jar}:${jobid_classpath}:${axis_classpath}:${trustmanager_classpath}:build/classes/core:build/classes/axis \
		-d build/classes/security $+

glite-lb-client-java.jar: build/classes/core
	cd build/classes/core && ${jdk_prefix}/bin/jar cf ../../$@ org/glite/lb
	cd build && ${jdk_prefix}/bin/jar i $@

glite-lb-client-java-axis.jar: $(AXIS_TARGETS)
	cd build/classes/axis && ${jdk_prefix}/bin/jar cf ../../$@ .
	if test -d build/classes/security; then \
		cd build/classes/security && ${jdk_prefix}/bin/jar uf ../../$@ $(addprefix org/glite/lb/,$(AXIS_CLASSES)); \
	fi
	cd build && ${jdk_prefix}/bin/jar i $@

build/c:
	${JAVAH} -classpath build/classes/core -jni -d build org.glite.lb.ContextIL
	-mkdir -p build/c
	-ln -s ${top_srcdir}/src_c .
	-ln -s ../../src_c/Makefile build/c
	cd build/c && $(MAKE) PREFIX=${PREFIX} JAVA_HOME=${jdk_prefix} topdir=../..

build/classes/examples: ${FULL_EXAMPLES} ${SSL_EXAMPLES} ${TM_EXAMPLES} build/classes/axis build/classes/core build/classes/security
	-mkdir -p build/classes/examples/src/simple-ssl build/classes/examples/src/simple-trustmanager
	${jdk_prefix}/bin/javac -d build/classes/examples -cp build/classes/axis:build/classes/core:build/classes/security:${jobid_classpath}:${axis_classpath} ${FULL_EXAMPLES}
	${jdk_prefix}/bin/javac -d build/classes/examples -cp build/classes/axis:build/classes/core:${axis_classpath} ${SSL_EXAMPLES}
	${jdk_prefix}/bin/javac -d build/classes/examples -cp build/classes/axis:build/classes/core:build/classes/security:${axis_classpath}:${trustmanager_classpath} ${TM_EXAMPLES}
	cp ${FULL_EXAMPLES} build/classes/examples/src
	cp ${SSL_EXAMPLES} build/classes/examples/src/simple-ssl
	cp ${TM_EXAMPLES} build/classes/examples/src/simple-trustmanager

glite-lb-client-java-examples.jar: build/classes/examples
	cd build/classes/examples && ${jdk_prefix}/bin/jar cf ../../$@ src org $(addsuffix .class,$(basename $(notdir ${FULL_EXAMPLES})))
	cd build && ${jdk_prefix}/bin/jar i $@

build/gen:
	-mkdir -p build/gen
	${GEN} build/gen

build/axis:
	${JAVA} -classpath ${axis_classpath} org.apache.axis.wsdl.WSDL2Java -o build/axis ${stagedir}${prefix}/share/wsdl/glite-lb/LB.wsdl

build/javadoc: build/gen
	${JAVADOC} -d build/javadoc -classpath build/classes/axis:build/classes/core:build/classes/security:${jobid_classpath}:${axis_classpath}:${trustmanager_classpath} $(addprefix ${top_srcdir}/src/org/glite/lb/,$(DOC_SOURCES)) build/gen/*.java

check:
	@echo "No check"

stage:
	$(MAKE) install PREFIX=${stagedir}

doc: build/javadoc

install:
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/java ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/api
	for j in $(JARS); do \
		cp build/$$j ${DESTDIR}${PREFIX}${prefix}/share/java; \
	done
	cd build/c && $(MAKE) install PREFIX=${PREFIX}
	cp -rp build/javadoc/* ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/api

clean:
	rm -rf build
	rm -rvf dist ${package}-*.tar.gz

distclean:
	rm -rvf project/changelog Makefile.inc *.spec debian/

.PHONY: default all compile compile-java-lb compile-java-gen compile-java-security doc check stage install clean distclean wtf dist distcheck

=== debian/changelog ===
glite-lb-client-java (2.0.4-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 24 Jun 2013 10:02:46 +0200

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,11 @@
 # -*- makefile -*-
 
 -include /usr/share/dpkg/buildflags.mk
+
+p_base=glite-lb-client-java
+p_lib=libglite-lb-client-java
+p_axis=libglite-lb-client-axis-java
+p_doc=libglite-lb-client-java-doc
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
@@ -9,7 +14,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.client-java
+	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.client-java --with-trustmanager=no
 	touch $@
 
 build: build-indep
@@ -36,6 +41,11 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+	mkdir -p debian/$(p_axis)/usr/share/doc
+	mkdir -p debian/$(p_doc)/usr/share/doc
+	mkdir -p debian/$(p_lib)/usr/share/doc
+	mv debian/tmp/usr/share/doc/$(p_base)-2.0.4 debian/$(p_doc)/usr/share/doc/$(p_lib)
+	ln -s $(p_lib) debian/$(p_axis)/usr/share/doc/$(p_axis)
 	rm -vf debian/tmp/usr/lib/*.la
 	rm -vf debian/tmp/usr/lib/*.a

## glite-lb-client-java 2.0.5

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 -include ${top_srcdir}/project/version.properties
 
 version=${module.version}
+docdir?=${prefix}/share/doc/${package}-${version}
 
 # broken 
 # SimpleLLTest.class ProducerTestLL.class ProducerTestIL.class
@@ -23,13 +24,13 @@
 
 SOURCES=\
 	examples/*.java examples/*/*.java \
-	project/list-jars.sh project/genEventTypes.pl \
+	project/list-jars.sh project/genEventTypes.pl project/client-java*.pom \
 	src_c/*.c src_c/Makefile \
 	src/org/glite/lb/*.java \
 	Makefile
 SOURCES_EXEC=project/list-jars.sh project/genEventTypes.pl
 
-VPATH := ${top_srcdir}/src/org/glite/lb ${top_srcdir}/examples ${top_srcdir}/examples/simple-ssl ${top_srcdir}/examples/simple-trustmanager
+VPATH := ${top_srcdir}/src/org/glite/lb ${top_srcdir}/examples ${top_srcdir}/examples/simple-ssl ${top_srcdir}/examples/simple-trustmanager ${top_srcdir}/project
 
 JAVAC:=${jdk_prefix}/bin/javac
 JAVAH:=${jdk_prefix}/bin/javah
@@ -43,21 +44,31 @@
 trustmanager_classpath:=$(shell ls -1 ${trustmanager_prefix}/share/java/glite-security-trustmanager.jar ${trustmanager_prefix}/share/java/trustmanager.jar ${trustmanager_prefix}/share/java/trustmanager-axis.jar ${stagedir}${prefix}/share/java/trustmanager.jar ${stagedir}${prefix}/share/java/trustmanager-axis.jar 2>/dev/null | tr '\012' :)
 
 JARS:=glite-lb-client-java.jar
+POM_SOURCES:=client-java.pom
 
 DOC_SOURCES=$(CORE_SOURCES)
 AXIS_TARGETS=build/classes/axis
 ifneq (${axis_prefix},no)
 # with axis generate the axis jar
 JARS+=glite-lb-client-java-axis.jar
+POM_SOURCES+=client-java-axis.pom
 ifneq (${trustmanager_prefix},no)
 # with trustmanager include the security code
 DOC_SOURCES+=$(AXIS_SOURCES)
 AXIS_TARGETS+=build/classes/security
 JARS+=glite-lb-client-java-examples.jar
+POM_SOURCES+=client-java-examples.pom
+POM_AXIS_SOURCE=client-java-axis-security.pom
+else
+POM_AXIS_SOURCE=client-java-axis-nosecurity.pom
 endif
 endif
 
-all compile: $(JARS) doc build/c
+POMS=$(addprefix JPP-glite-lb-,$(POM_SOURCES))
+
+all compile: $(JARS) doc build/c poms
+
+poms: $(POMS)
 
 wtf:
 	echo "axis_classpath: ${axis_classpath}"
@@ -148,18 +159,37 @@
 doc: build/javadoc
 
 install:
-	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/java ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/api
+	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/java ${DESTDIR}${PREFIX}${docdir}/api
 	for j in $(JARS); do \
 		cp build/$$j ${DESTDIR}${PREFIX}${prefix}/share/java; \
 	done
 	cd build/c && $(MAKE) install PREFIX=${PREFIX}
-	cp -rp build/javadoc/* ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/api
+	cp -rp build/javadoc/* ${DESTDIR}${PREFIX}${docdir}/api
 
 clean:
 	rm -rf build
+	rm -vf *.pom
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf project/changelog Makefile.inc *.spec debian/
 
-.PHONY: default all compile compile-java-lb compile-java-gen compile-java-security doc check stage install clean distclean wtf dist distcheck
+client-java-axis.pom: ${POM_AXIS_SOURCE}
+	cp -p $< $@
+
+JPP-glite-lb-client-java.pom: client-java.pom
+	sed -e "s:@DESCRIPTION@:$(shell cat ${top_srcdir}/project/package.description | sed 's/&/\\\&amp;/g'):" \
+	    -e "s:@VERSION@:${version}:" \
+	    $< > $@; \
+
+JPP-glite-lb-client-java-axis.pom: client-java-axis.pom
+	sed -e "s:@DESCRIPTION@:$(shell cat ${top_srcdir}/project/package.description | sed 's/&/\\\&amp;/g'):" \
+	    -e "s:@VERSION@:${version}:" \
+	    $< > $@; \
+
+JPP-glite-lb-client-java-examples.pom: client-java-examples.pom
+	sed -e "s:@DESCRIPTION@:$(shell cat ${top_srcdir}/project/package.description | sed 's/&/\\\&amp;/g'):" \
+	    -e "s:@VERSION@:${version}:" \
+	    $< > $@; \
+
+.PHONY: default all compile compile-java-lb compile-java-gen compile-java-security doc check stage install clean distclean wtf dist distcheck poms

=== src_c/Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+default: all
+
 -include ../../Makefile.inc
 
 CC=gcc
@@ -18,7 +20,7 @@
 
 VPATH=${topdir}/src_c
 
-compile: ${LIB}
+all compile: ${LIB}
 
 ${LIB}: ${OBJ}
 	libtool --mode=link ${CC} -rpath ${PREFIX}${prefix}/${libdir} -o $@ ${OBJ} -lm
@@ -32,3 +34,5 @@
 
 clean:
 	rm -rf ${OBJ} .libs ${LIB}
+
+.PHONY: default all compile install clean

=== debian/changelog ===
glite-lb-client-java (2.0.5-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:49 +0100

=== debian/control ===
Source: glite-lb-client-java
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), ant, default-jdk, libglite-jobid-api-java, glite-lb-types, glite-lb-ws-interface, libaxis-java, libcommons-lang-java, liblog4j1.2-java, libtool
Standards-Version: 3.9.1
Section: java
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: libglite-lb-client-java
Section: java
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libglite-jobid-api-java, libcommons-lang-java
Description: JAVA implementation of the L&B service client
 JAVA implementation of the L&B service client. Supports producing (logging)
 events into L&B, event and job status queries, and receiving
 notifications.

Package: libglite-lb-client-axis-java
Section: java
Architecture: all
Depends: ${misc:Depends}, libglite-jobid-api-java, libcommons-lang-java, libglite-lb-client-java
Description: Axis 1.4 flavor of Java L&B client
 This package contains java L&B client library based on Axis 1.4.

Package: libglite-lb-client-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libglite-lb-client-java, default-jdk-doc
Description: Java API documentation for Java L&B client
 This package contains java API documentation for Java L&B client.

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.client-java --with-trustmanager=no
+	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --docdir=/usr/share/doc/$(p_base) --project=emi --module lb.client-java --with-trustmanager=no
 	touch $@
 
 build: build-indep
@@ -44,7 +44,7 @@
 	mkdir -p debian/$(p_axis)/usr/share/doc
 	mkdir -p debian/$(p_doc)/usr/share/doc
 	mkdir -p debian/$(p_lib)/usr/share/doc
-	mv debian/tmp/usr/share/doc/$(p_base)-2.0.4 debian/$(p_doc)/usr/share/doc/$(p_lib)
+	mv debian/tmp/usr/share/doc/$(p_base) debian/$(p_doc)/usr/share/doc/$(p_lib)
 	ln -s $(p_lib) debian/$(p_axis)/usr/share/doc/$(p_axis)
 	rm -vf debian/tmp/usr/lib/*.la
 	rm -vf debian/tmp/usr/lib/*.a

## glite-lb-client-java 2.0.7

=== Makefile ===
--- 
+++ 
@@ -13,10 +13,11 @@
 # broken 
 # SimpleLLTest.class ProducerTestLL.class ProducerTestIL.class
 
+LOADER_SOURCES:=JNIDefaultLoader.java
 FULL_EXAMPLES := $(addprefix ${top_srcdir}/examples/,SSLClient.java SSLServer.java QueryDemo.java NotificationExample.java CreamTest.java)
 SSL_EXAMPLES := $(addprefix ${top_srcdir}/examples/simple-ssl/,MyX509KeyManager.java MyX509TrustManager.java ExampleSSLSocketFactory.java LBClientSSL.java)
 TM_EXAMPLES := $(addprefix ${top_srcdir}/examples/simple-trustmanager/,LBClientTM.java)
-CORE_SOURCES:=Context.java ContextIL.java Escape.java Event.java ILFileWriter.java ILProto.java LBException.java Level.java Timeval.java Sources.java SeqCode.java
+CORE_SOURCES:=Context.java ContextIL.java Escape.java Event.java ILFileWriter.java ILProto.java JNIHelper.java LBException.java Level.java Timeval.java Sources.java SeqCode.java
 AXIS_SOURCES:=ContextDirect.java ContextLL.java EventConvertor.java Job.java LBCredentials.java NotifParser.java Notification.java SSL.java SSLSend.java ServerConnection.java
 
 CORE_CLASSES=$(CORE_SOURCES:.java=.class)
@@ -88,7 +89,7 @@
 
 build/classes/core: compile-java-lb compile-java-gen
 
-compile-java-lb: $(CORE_SOURCES)
+compile-java-lb: $(CORE_SOURCES) build/JNILoader.java
 	-mkdir -p build/classes/core
 	${JAVAC} \
 		-classpath ${jobid_classpath} \
@@ -140,12 +141,16 @@
 	cd build/classes/examples && ${jdk_prefix}/bin/jar cf ../../$@ src org $(addsuffix .class,$(basename $(notdir ${FULL_EXAMPLES})))
 	cd build && ${jdk_prefix}/bin/jar i $@
 
+build/JNILoader.java: $(LOADER_SOURCES)
+	-mkdir -p build
+	cp -p $+ $@
+
 build/gen:
 	-mkdir -p build/gen
 	${GEN} build/gen
 
 build/axis:
-	${JAVA} -classpath ${axis_classpath} org.apache.axis.wsdl.WSDL2Java -o build/axis ${stagedir}${prefix}/share/wsdl/glite-lb/LB.wsdl
+	${JAVA} -classpath ${axis_classpath} org.apache.axis.wsdl.WSDL2Java --output build/axis --timeout 600 ${stagedir}${prefix}/share/wsdl/glite-lb/LB.wsdl
 
 build/javadoc: build/gen
 	${JAVADOC} -d build/javadoc -classpath build/classes/axis:build/classes/core:build/classes/security:${jobid_classpath}:${axis_classpath}:${trustmanager_classpath} $(addprefix ${top_srcdir}/src/org/glite/lb/,$(DOC_SOURCES)) build/gen/*.java

=== src_c/Makefile ===
--- 
+++ 
@@ -23,10 +23,10 @@
 all compile: ${LIB}
 
 ${LIB}: ${OBJ}
-	libtool --mode=link ${CC} -rpath ${PREFIX}${prefix}/${libdir} -o $@ ${OBJ} -lm
+	libtool --mode=link ${CC} -rpath ${PREFIX}${prefix}/${libdir} ${LDFLAGS} -o $@ ${OBJ} -lm
 
 %.lo: %.c
-	libtool --mode=compile ${CC} -I.. -I${PATH_TO_JAVA}/include ${JDK_CPPFLAGS} -c $<
+	libtool --mode=compile ${CC} -I.. -I${PATH_TO_JAVA}/include ${JDK_CPPFLAGS} ${CPPFLAGS} ${CFLAGS} -c $<
 
 install: compile
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}

=== debian/changelog ===
glite-lb-client-java (2.0.7-1.git20151003) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sat, 03 Oct 2015 10:10:50 +0200

=== debian/control ===
Source: glite-lb-client-java
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), ant, default-jdk, libglite-jobid-api-java, glite-lb-types, glite-lb-ws-interface, libaxis-java, libcommons-lang-java, liblog4j1.2-java, libtool-bin
Standards-Version: 3.9.1
Section: java
Homepage: http://glite.cern.ch

Package: libglite-lb-client-java
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, libglite-jobid-api-java, libcommons-lang-java, libglite-lb-client-jni
Description: JAVA implementation of the L&B service client
 JAVA implementation of the L&B service client. Supports producing (logging)
 events into L&B, event and job status queries, and receiving
 notifications.

Package: libglite-lb-client-jni
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: JNI code for L&B java client
 JAVA implementation of the L&B service client. Supports producing (logging)
 events into L&B, event and job status queries, and receiving
 notifications.
 .
 This package contains Java Native Interface code for L&B java client.

Package: libglite-lb-client-axis-java
Architecture: all
Depends: ${misc:Depends}, libglite-jobid-api-java, libcommons-lang-java, libglite-lb-client-java
Description: Axis 1.4 flavor of Java L&B client
 JAVA implementation of the L&B service client. Supports producing (logging)
 events into L&B, event and job status queries, and receiving
 notifications.
 .
 This package contains java L&B client library based on Axis 1.4.

Package: libglite-lb-client-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libglite-lb-client-java, default-jdk-doc
Description: Java API documentation for Java L&B client
 JAVA implementation of the L&B service client. Supports producing (logging)
 events into L&B, event and job status queries, and receiving
 notifications.
 .
 This package contains java API documentation for Java L&B client.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

p_base=glite-lb-client-java
p_jni=libglite-lb-client-jni
p_lib=libglite-lb-client-java
p_axis=libglite-lb-client-axis-java
p_doc=libglite-lb-client-java-doc

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# parallel build not supported
%:
	dh $@ --fail-missing

override_dh_auto_configure: config.status
config.status:
	./configure --root=/ --prefix=/usr --libdir=lib --docdir=/usr/share/doc/$(p_base) --os-type=debian --project=emi --with-trustmanager=no

override_dh_auto_build:
	dh_auto_build -- LOADER_SOURCES=JNIDebianLoader.java

override_dh_auto_clean: config.status
	make clean

override_dh_clean:
	dh_clean
	rm -vf Makefile.inc config.status *.spec

override_dh_strip:
	dh_strip --dbg-package=$(p_dbg)

override_dh_auto_install:
	dh_auto_install
	# move JNI library
	mkdir -p debian/$(p_jni)/usr/lib/jni
	mv debian/tmp/usr/lib/libglite_lb_sendviasocket.so* debian/$(p_jni)/usr/lib/jni
	# documentation
	mkdir -p debian/$(p_doc)/usr/share/doc
	mv debian/tmp/usr/share/doc/$(p_base) debian/$(p_doc)/usr/share/doc/$(p_jni)
	# keep only dynamic module
	rm -vf debian/tmp/usr/lib/*.a
	rm -vf debian/tmp/usr/lib/*.la

override_dh_installdocs:
	dh_installdocs --link-doc=$(p_jni)

=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lb.client-java/glite-lb-client-java-(.*)\.tar\.gz
